Package org.eclipse.gef.ui.actions

# Class CopyTemplateAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.gef.ui.actions.WorkbenchPartAction
org.eclipse.gef.ui.actions.CopyTemplateAction

All Implemented Interfaces:
  `Disposable`, `UpdateAction`, `IAction`, `ISelectionChangedListener`

public class CopyTemplateAction extends WorkbenchPartAction implements ISelectionChangedListener
Copies the currently selected template in the palatte to the system clipboard.

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`CopyTemplateAction(IEditorPart editor)`
Constructs a new CopyTemplateAction.

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`calculateEnabled()`
Returns whether the selected EditPart is a TemplateEditPart.
`void`
`dispose()`
Disposes the action when it is no longer needed.
`void`
`run()`
Sets the default `Clipboard's` contents to be the currently selected template.
`void`
`selectionChanged(SelectionChangedEvent event)`
Sets the selected EditPart and refreshes the enabled state of this action.

### Methods inherited from class org.eclipse.gef.ui.actions.WorkbenchPartAction

`execute, getCommandStack, getWorkbenchPart, init, isEnabled, refresh, setLazyEnablementCalculation, setWorkbenchPart, update`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CopyTemplateAction

public CopyTemplateAction(IEditorPart editor)
Constructs a new CopyTemplateAction. You must manually add this action to the palette viewer's list of selection listeners. Otherwise, this action's enabled state won't be updated properly.

Parameters:
  `editor` - the workbench part
See Also:
  - `EditorPartAction(IEditorPart)`

## Method Details

### calculateEnabled

protected boolean calculateEnabled()
Returns whether the selected EditPart is a TemplateEditPart.

Specified by:
  `calculateEnabled` in class `WorkbenchPartAction`
Returns:
  whether the selected EditPart is a TemplateEditPart

### dispose

public void dispose()
Description copied from class: `WorkbenchPartAction`
Disposes the action when it is no longer needed.

Specified by:
  `dispose` in interface `Disposable`
Overrides:
  `dispose` in class `WorkbenchPartAction`
See Also:
  - `WorkbenchPartAction.dispose()`

### run

public void run()
Sets the default `Clipboard's` contents to be the currently selected template.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`

### selectionChanged

public void selectionChanged(SelectionChangedEvent event)
Sets the selected EditPart and refreshes the enabled state of this action.

Specified by:
  `selectionChanged` in interface `ISelectionChangedListener`
See Also:
  - `ISelectionChangedListener.selectionChanged(SelectionChangedEvent)`